Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Class TaskListenerException

    java.lang.Object
      JSException
          jet.server.api.TaskListenerException

    public class TaskListenerException

extends JSException

TaskListener exception. If TaskListener.beforeRun return false, this exception throws out.

Constructor Summary
`TaskListenerException(int msgKey)` Construct a new `TaskListenerException` with specified message, the cause is not initialized.
`TaskListenerException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`TaskListenerException(int msgKey, java.lang.Throwable cause)` Construct a new `TaskListenerException` with specified detail message and cause.
`TaskListenerException(java.lang.String message)`
`TaskListenerException(java.lang.Throwable cause)` Construct a new `TaskListenerException` with specified cause and a `null`detail message.``

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskListenerException

    public TaskListenerException(int msgKey,
                                 java.lang.Object[] params,
                                 java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for find the message, and will be loged and showed to user.
    `params` - the parameters used for format the message string, can be null.
    `cause` - the cause (which is saved for later retrieval by the getCause.

### TaskListenerException

    public TaskListenerException(int msgKey,
                                 java.lang.Throwable cause)

  Construct a new `TaskListenerException` with specified detail message and cause.

  Parameters:
    `msgKey` - the message key
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### TaskListenerException

    public TaskListenerException(int msgKey)

  Construct a new `TaskListenerException` with specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key

### TaskListenerException

    public TaskListenerException(java.lang.Throwable cause)

  Construct a new `TaskListenerException` with specified cause and a `null`detail message.

  Parameters:
    `cause` - the cause.
  ``

### TaskListenerException

    public TaskListenerException(java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD